
warning off
delete ../results/scen2.out
diary ../results/scen2.out

% PROJECT:		Healthy, Wealthy, & Wise (AHEAD Data)
% FACULTY:		Daniel McFadden
% AUTHOR:		Peter Adams
% LAST UPDATE:		February 11, 2003
% PROGRAM DESC:		Run Simulation: Scenario #2 (No Diabetes)


% ===========================================================================
% INITIALIZE VARIABLES
% ===========================================================================

   % ------------------------------------------------------------------------
   % READ-IN COEFFCIENTS AND DATA
   % ------------------------------------------------------------------------
   
   readin;
   
   % ------------------------------------------------------------------------
   % SET COEFFICIENT ARRAYS
   % ------------------------------------------------------------------------
   
   setcoeff;
   
   % ------------------------------------------------------------------------
   % INITIALIZE DATA
   % ------------------------------------------------------------------------
   
   setdata;
   
   % ------------------------------------------------------------------------
   % SIMULATE PREVALENCE
   % ------------------------------------------------------------------------
   
   prevsim;


% ===========================================================================
% LOOP THROUGH 12 MONTH SIMULATION
% ===========================================================================

rand('state',54321);
randn('state',12345);

for year=1:30;
   
disp(' ');
disp('***************');
disp(year);
disp('***************');

   % ------------------------------------------------------------------------
   % SIMULATE INCIDENCE
   % ------------------------------------------------------------------------
   
   incsim2;		% Scenario 2: No Diabetes
      
   % ------------------------------------------------------------------------
   % SIMULATE WEALTH (Scenarios #1 & #2 ONLY)
   % ------------------------------------------------------------------------
   
   wlthsim;		% Scenario 2: No Diabetes
  
   % ------------------------------------------------------------------------
   % RESET PREVALENCE VARIABLES
   % ------------------------------------------------------------------------
   
   resetvar2;		% Scenario 2: No Diabetes
      
end;


% ===========================================================================
% SAVE SIMULATED PREVALENCE
% ===========================================================================

temp1=[check2{2,1} check2{2,3}];
temp2=[check2{3,1} check2{3,3}];

temp3=[check2{2,1} check2{2,4}];
temp4=[check2{3,1} check2{3,4}];

temp5=[check2{1,1}(25:36,1) check2{1,3}(25:36,:)];

cd ../results;

save scen2_f.dat temp1 -ascii -tabs;
save scen2_m.dat temp2 -ascii -tabs;
save scen2d_f.dat temp3 -ascii -tabs;
save scen2d_m.dat temp4 -ascii -tabs;
save scen2_w.dat temp5 -ascii -tabs;

save scen2.mat check1 check2;

cd ../matlab;

diary off

quit
