
warning off
delete ../results/scen3.out
diary ../results/scen3.out

% PROJECT:		Healthy, Wealthy, & Wise (AHEAD Data)
% FACULTY:		Daniel McFadden
% AUTHOR:		Peter Adams
% LAST UPDATE:		February 11, 2003
% PROGRAM DESC:		Run Simulation: Scenario #3 (Low SES)


% ===========================================================================
% INITIALIZE VARIABLES
% ===========================================================================

   % ------------------------------------------------------------------------
   % READ-IN COEFFCIENTS AND DATA
   % ------------------------------------------------------------------------
   
   readin;
   
   % ------------------------------------------------------------------------
   % SET COEFFICIENT ARRAYS
   % ------------------------------------------------------------------------
   
   setcoeff;
   
   % ------------------------------------------------------------------------
   % INITIALIZE DATA
   % ------------------------------------------------------------------------
   
   setdata;
   
   % ------------------------------------------------------------------------
   % SIMULATE PREVALENCE
   % ------------------------------------------------------------------------
   
   prevsim;


% ===========================================================================
% LOOP THROUGH 12 MONTH SIMULATION
% ===========================================================================

rand('state',54321);
randn('state',12345);

for year=1:30;
   
disp(' ');
disp('***************');
disp(year);
disp('***************');

   % ------------------------------------------------------------------------
   % SIMULATE INCIDENCE
   % ------------------------------------------------------------------------
   
   incsim3;		% Scenario 3: Low SES   
         
   % ------------------------------------------------------------------------
   % RESET PREVALENCE VARIABLES
   % ------------------------------------------------------------------------
   
   resetvar3;		% Scenario 3: Low SES
      
end;


% ===========================================================================
% SAVE SIMULATED PREVALENCE
% ===========================================================================

temp1=[check2{2,1} check2{2,3}];
temp2=[check2{3,1} check2{3,3}];

temp3=[check2{2,1} check2{2,4}];
temp4=[check2{3,1} check2{3,4}];

cd ../results;

save scen3_f.dat temp1 -ascii -tabs;
save scen3_m.dat temp2 -ascii -tabs;
save scen3d_f.dat temp3 -ascii -tabs;
save scen3d_m.dat temp4 -ascii -tabs;

save scen3.mat check1 check2;

cd ../matlab;

diary off

quit
